# DescribeReflectUdpPortOptions

## 1. API Description

This API (DescribeReflectUdpPortOptions) is used to get a list of default UDP reflection source ports.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name  | Type                                                                                                                        | Description                                                                                                           |
| --------------- | --------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId       | String                                                                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| reflectUdpPorts | Array of [ReflectUdpPortPolicy](https://docs.console.zenlayer.com/api-reference/compute/datastructure#reflectudpportpolicy) | List of default UDP reflection source ports.                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Get a list of default UDP reflection source ports.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeReflectUdpPortOptions
<Common Request Params>

Request：
{

}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "reflectUdpPorts": [
      {
        "name": "QOTD",
        "port": 17
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
